/*!***/
/* * 01/28/2016*/
/* * This pen is years old, and watching at the code after all*/
/* * those years made me fall from my chair, so I:*/
/* * - changed all IDs to classes*/
/* * - converted all units to pixels and em units*/
/* * - changed all global elements to classes or children of*/
/* *   .login*/
/* * - cleaned the syntax to be more consistent*/
/* * - added a lot of spaces that I so hard tried to avoid*/
/* *   a few years ago*/
/* *   (because it's cool to not use them)*/
/* * - and probably something else that I can't remember anymore*/
/* **/
/* * I sticked to the same philosophy, meaning:*/
/* * - the design is almost the same*/
/* * - only pure HTML and CSS*/
/* * - no frameworks, preprocessors or resets*/
/* *!*/

/*!* 'Open Sans' font from Google Fonts *!*/
/*@import url(https://fonts.googleapis.com/css?family=Open+Sans:400,700);*/

/*body {*/
/*    background: #456;*/
/*    font-family: 'Open Sans', sans-serif;*/
/*}*/

/*.login {*/
/*    width: 400px;*/
/*    margin: 16px auto;*/
/*    font-size: 16px;*/
/*}*/

/*!* Reset top and bottom margins from certain elements *!*/
/*.login-header,*/
/*.login p {*/
/*    margin-top: 0;*/
/*    margin-bottom: 0;*/
/*}*/

/*!* The triangle form is achieved by a CSS hack *!*/
/*.login-triangle {*/
/*    width: 0;*/
/*    margin-right: auto;*/
/*    margin-left: auto;*/
/*    border: 12px solid transparent;*/
/*    border-bottom-color: #28d;*/
/*}*/

/*.login-header {*/
/*    background: #28d;*/
/*    padding: 20px;*/
/*    font-size: 1.4em;*/
/*    font-weight: normal;*/
/*    text-align: center;*/
/*    text-transform: uppercase;*/
/*    color: #fff;*/
/*}*/

/*.login-container {*/
/*    background: #ebebeb;*/
/*    padding: 12px;*/
/*}*/

/*!* Every row inside .login-container is defined with p tags *!*/
/*.login p {*/
/*    padding: 12px;*/
/*}*/

/*.login input {*/
/*    box-sizing: border-box;*/
/*    display: block;*/
/*    width: 100%;*/
/*    border-width: 1px;*/
/*    border-style: solid;*/
/*    padding: 16px;*/
/*    outline: 0;*/
/*    font-family: inherit;*/
/*    font-size: 0.95em;*/
/*}*/

/*.login input[type="email"],*/
/*.login input[type="password"] {*/
/*    background: #fff;*/
/*    border-color: #bbb;*/
/*    color: #555;*/
/*}*/

/*!* Text fields' focus effect *!*/
/*.login input[type="email"]:focus,*/
/*.login input[type="password"]:focus {*/
/*    border-color: #888;*/
/*}*/

/*.login input[type="submit"] {*/
/*    background: #28d;*/
/*    border-color: transparent;*/
/*    color: #fff;*/
/*    cursor: pointer;*/
/*}*/

/*.login input[type="submit"]:hover {*/
/*    background: #17c;*/
/*}*/

/*!* Buttons' focus effect *!*/
/*.login input[type="submit"]:focus {*/
/*    border-color: #05a;*/
/*}*/



html {
    height: 100%;
}
body {
    margin:0;
    padding:0;
    font-family: sans-serif;
    background: linear-gradient(#141e30, #243b55);
}

.login-box {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 400px;
    padding: 40px;
    transform: translate(-50%, -50%);
    background: rgba(0,0,0,.5);
    box-sizing: border-box;
    box-shadow: 0 15px 25px rgba(0,0,0,.6);
    border-radius: 10px;
}

.login-box h2 {
    margin: 0 0 30px;
    padding: 0;
    color: #fff;
    text-align: center;
}

.login-box .user-box {
    position: relative;
}

.login-box .user-box input {
    width: 100%;
    padding: 10px 0;
    font-size: 16px;
    color: #fff;
    margin-bottom: 30px;
    border: none;
    border-bottom: 1px solid #fff;
    outline: none;
    background: transparent;
}
.login-box .user-box label {
    position: absolute;
    top:0;
    left: 0;
    padding: 10px 0;
    font-size: 16px;
    color: #fff;
    pointer-events: none;
    transition: .5s;
}

.login-box .user-box input:focus ~ label,
.login-box .user-box input:valid ~ label {
    top: -20px;
    left: 0;
    color: #03e9f4;
    font-size: 12px;
}

.login-box form button {
    position: relative;
    display: inline-block;
    padding: 10px 20px;
    color: #03e9f4;
    font-size: 16px;
    text-decoration: none;
    text-transform: uppercase;
    overflow: hidden;
    transition: .5s;
    margin-top: 40px;
    letter-spacing: 4px
}

.login-box button:hover {
    background: #03e9f4;
    color: #fff;
    border-radius: 5px;
    box-shadow: 0 0 5px #03e9f4,
    0 0 25px #03e9f4,
    0 0 50px #03e9f4,
    0 0 100px #03e9f4;
}

.login-box button span {
    position: absolute;
    display: block;
}

.login-box button span:nth-child(1) {
    top: 0;
    left: -100%;
    width: 100%;
    height: 2px;
    background: linear-gradient(90deg, transparent, #03e9f4);
    animation: btn-anim1 1s linear infinite;
}

@keyframes btn-anim1 {
    0% {
        left: -100%;
    }
    50%,100% {
        left: 100%;
    }
}

.login-box button span:nth-child(2) {
    top: -100%;
    right: 0;
    width: 2px;
    height: 100%;
    background: linear-gradient(180deg, transparent, #03e9f4);
    animation: btn-anim2 1s linear infinite;
    animation-delay: .25s
}

@keyframes btn-anim2 {
    0% {
        top: -100%;
    }
    50%,100% {
        top: 100%;
    }
}

.login-box button span:nth-child(3) {
    bottom: 0;
    right: -100%;
    width: 100%;
    height: 2px;
    background: linear-gradient(270deg, transparent, #03e9f4);
    animation: btn-anim3 1s linear infinite;
    animation-delay: .5s
}

@keyframes btn-anim3 {
    0% {
        right: -100%;
    }
    50%,100% {
        right: 100%;
    }
}

.login-box button span:nth-child(4) {
    bottom: -100%;
    left: 0;
    width: 2px;
    height: 100%;
    background: linear-gradient(360deg, transparent, #03e9f4);
    animation: btn-anim4 1s linear infinite;
    animation-delay: .75s
}

@keyframes btn-anim4 {
    0% {
        bottom: -100%;
    }
    50%,100% {
        bottom: 100%;
    }
}
